<f:view
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:f="http://xmlns.jcp.org/jsf/core"
    xmlns:h="http://xmlns.jcp.org/jsf/html"
    xmlns:p="http://primefaces.org/ui"
    xmlns:pe="http://primefaces.org/ui/extensions"
    xmlns:ct="http://www.chartistjsf.org/charts"
    >
    <!-- NO LONGER IN USE! -->
    <h:head>
        <h:outputStylesheet library="css" name="main.css" />
    </h:head>
    <h:body>
		<h:form>
			<script src="http://maps.google.com/maps/api/js?sensor=false"
				type="text/javascript"></script>
			<p:gmap center="48.174918, 11.596160" zoom="14" type="TERRAIN"
				style="width:100%;height:600px" streetView="true" model="#{mapBean.model}" mapTypeControl="false" navigationControl="false" >
					        <p:ajax event="overlaySelect" listener="#{mapBean.onMarkerSelect}" />
						        <p:gmapInfoWindow id="infoWindow">
						            <p:outputPanel style="text-align: center; display: block; margin: auto">
						                    <h:outputText value="#{mapBean.marker.title}" />
						            </p:outputPanel>
			</p:gmapInfoWindow>
			</p:gmap>
		</h:form>
    </h:body>
</f:view>